Bug 976562 (CVE-2013-2206) - CVE-2013-2206 kernel: sctp: duplicate cookie handling NULL pointer dereference
Summary: CVE-2013-2206 kernel: sctp: duplicate cookie handling NULL pointer dereference
Status: NEW
Alias: CVE-2013-2206
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130313,repo...
Keywords: Security
Depends On: 963843 974936 976569 976571
Blocks: 976676
TreeView+ depends on / blocked
 
Reported: 2013-06-20 19:35 UTC by Petr Matousek
Modified: 2018-08-28 21:54 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1166 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-20 22:56:21 UTC
Red Hat Product Errata RHSA-2013:1173 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-27 23:23:53 UTC
Red Hat Product Errata RHSA-2013:1195 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-09-04 00:27:43 UTC

Description Petr Matousek 2013-06-20 19:35:51 UTC
A flaw was found in the way Linux kernel's SCTP network protocol implementation handled duplicate cookies. A transient empty association is created while processing the duplicate cookie chunk that userspace could query, potentially leading to NULL pointer dereference. A remote attacker able to initiate SCTP connection to the system could use this flaw to create transient conditions that could lead to remote system crash if remote system user is querying SCTP connection info at the time these conditions exist.

Upstream fix:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f2815633504b442ca0b0605c16bf3d88a3a0fcea

Comment 2 Petr Matousek 2013-06-20 20:23:32 UTC
Statement:

This issue does affect Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6.

This issue does not affect Linux kernel packages as shipped with Red Hat Enterprise MRG 2 as they already contain the fix.

Comment 3 errata-xmlrpc 2013-08-20 18:58:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1166 https://rhn.redhat.com/errata/RHSA-2013-1166.html

Comment 4 errata-xmlrpc 2013-08-27 19:27:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1173 https://rhn.redhat.com/errata/RHSA-2013-1173.html

Comment 5 errata-xmlrpc 2013-09-03 20:30:39 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1195 https://rhn.redhat.com/errata/RHSA-2013-1195.html


Note You need to log in before you can comment on or make changes to this bug.